Bug 190293 - Crash when playing runescape
Crash when playing runescape
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-30 12:04 EDT by Kjartan Maraas
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-02 04:47:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 329864 None None None Never

  None (edit)
Description Kjartan Maraas 2006-04-30 12:04:49 EDT
Description of problem:

Firefox crashes a lot when running this game.

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208150320 (LWP 19208)]
0x00000000 in ?? ()
(gdb) bt
#0  0x00000000 in ?? ()
#1  0x0189859a in JSJ_HashTableAdd (ht=0x8cdceb0, key=0x929a9f4,
value=0x96545f8, arg=0x95d5278)
    at jsj_hash.c:278
#2  0x0189646d in jsj_GetJavaClassDescriptor (cx=0x94a8898, jEnv=0x95d5278,
java_class=0xb4c30f08)
    at jsj_class.c:397
#3  0x018952c5 in jsj_WrapJavaObject (cx=0x94a8898, jEnv=0x95d5278,
java_obj=0xb4c30f0c,
    java_class=0xb4c30f08) at jsj_JavaObject.c:190
#4  0x018967db in jsj_ConvertJavaObjectToJSValue (cx=0x94a8898, jEnv=0x95d5278,
java_obj=0xb4c30f0c,
    vp=0xbffbb688) at jsj_convert.c:804
#5  0x018968b6 in jsj_ConvertJavaValueToJSValue (cx=0x94a8898, jEnv=0x95d5278,
signature=0x962cec0,
    java_value=0xbffbb5b8, vp=0xbffbb688) at jsj_convert.c:878
#6  0x018994f8 in invoke_overloaded_java_method (cx=0x94a8898, jsj_env=Variable
"jsj_env" is not available.
) at jsj_method.c:1517
#7  0x018996a2 in jsj_JavaInstanceMethodWrapper (cx=0x94a8898, obj=0x8ebc418,
argc=0,
    argv=0x980260c, vp=0xbffbb688) at jsj_method.c:1813
#8  0x002c9f7d in js_Invoke (cx=0x94a8898, argc=0, flags=0) at jsinterp.c:1177
#9  0x002c4d77 in js_Interpret (cx=0x94a8898, pc=0x9863592 ":",
result=0xbffbb924) at jsinterp.c:3561
#10 0x002c9894 in js_Execute (cx=0x94a8898, chain=0x8ddf658, script=0x98232e0,
down=0x0, flags=0,
    result=0xbffbba00) at jsinterp.c:1423
#11 0x0029b462 in JS_EvaluateUCScriptForPrincipals (cx=0x94a8898, obj=0x8ddf658,
    principals=0x94d8bbc, chars=0x95f5f00, length=11,
    filename=0x98221c0
"http://nl10.runescape.com/rs2.cgi?lowmem=0&plugin=0&affiliate=runescape",
    lineno=80, rval=0xbffbba00) at jsapi.c:4116
#12 0x014c1624 in nsJSContext::EvaluateString (this=0x94a87e8, aScript=@0xbffbbad8,
    aScopeObject=0x8ddf658, aPrincipal=0x94d8bb8,
    aURL=0x98221c0
"http://nl10.runescape.com/rs2.cgi?lowmem=0&plugin=0&affiliate=runescape",
    aLineNo=80, aVersion=0x303775 "default", aRetValue=0x0, aIsUndefined=0xbffbbaec)
    at nsJSEnvironment.cpp:1061
#13 0x014c755d in nsGlobalWindow::RunTimeout (this=0x9b33c28, aTimeout=0x9818420)
    at nsGlobalWindow.cpp:6346
---Type <return> to continue, or q <return> to quit---
#14 0x014d515c in nsGlobalWindow::TimerCallback (aTimer=0x9821430,
aClosure=0x9818420)
    at nsGlobalWindow.cpp:6720
#15 0x00176a5c in nsTimerImpl::Fire (this=0x9821430) at nsTimerImpl.cpp:394
#16 0x00176b10 in handleTimerEvent (event=0xb2a00470) at nsTimerImpl.cpp:459
#17 0x0017300a in PL_HandleEvent (self=0xb2a00470) at plevent.c:688
#18 0x00173247 in PL_ProcessPendingEvents (self=0x8bb0000) at plevent.c:623
#19 0x001747de in nsEventQueueImpl::ProcessPendingEvents (this=0x8baffb8) at
nsEventQueue.cpp:417
#20 0x00f19c30 in event_processor_callback (source=0x8df84e0, condition=G_IO_IN,
data=0x8baffb8)
    at nsAppShell.cpp:67
#21 0x00788bed in g_io_unix_dispatch (source=0x8df8538,
    callback=0xf19c20 <event_processor_callback>, user_data=0x8baffb8) at
giounix.c:162
#22 0x0076011d in IA__g_main_context_dispatch (context=0x8b698e0) at gmain.c:1916
#23 0x007633af in g_main_context_iterate (context=0x8b698e0, block=1,
dispatch=1, self=0x8c60b18)
    at gmain.c:2547
#24 0x00763759 in IA__g_main_loop_run (loop=0x8df85b0) at gmain.c:2751
#25 0x0044b654 in IA__gtk_main () at gtkmain.c:1003
#26 0x00f19fc8 in nsAppShell::Run (this=0x8c824d0) at nsAppShell.cpp:139
#27 0x01cf541e in nsAppStartup::Run (this=0x8c82490) at nsAppStartup.cpp:150
#28 0x0804f40f in XRE_main (argc=1, argv=0xbffbc1e4, aAppData=0x8063420) at
nsAppRunner.cpp:2351
#29 0x0804af75 in main (argc=1, argv=0xbffbc1e4) at nsBrowserApp.cpp:61
#30 0x00bfe824 in __libc_start_main (main=0x804af54 <main>, argc=1,
ubp_av=0xbffbc1e4,
    init=0x8058584 <__libc_csu_init>, fini=0x805857c <__libc_csu_fini>,
    rtld_fini=0xbd9f00 <_dl_fini>, stack_end=0xbffbc1dc) at libc-start.c:231
#31 0x0804aed1 in _start ()

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Christopher Aillon 2006-10-31 04:11:12 EST
https://bugzilla.mozilla.org/show_bug.cgi?id=329864 perhaps?  Is this fixed now?
 They've apparently updated the game...
Comment 2 Matěj Cepl 2007-06-29 05:34:53 EDT
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue. Users who have experienced this problem are
encouraged to upgrade their system to the latest version of their distribution
available.

Please, if you experience this problem on the up-to-date system, let us now in
the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as
INSUFFICIENT_DATA. Thank you.
Comment 3 Matěj Cepl 2007-08-02 04:47:14 EDT
No information requested was provided, so I close this bug as INSUFFICIENT_DATA.
Reporter, if you could, please, reopen with additional information.

Note You need to log in before you can comment on or make changes to this bug.